DataVector.h File Reference
`#include "system_dep.h"`
`#include "DataTypes.h"`
`#include "Assert.h"`
`#include "DataVectorAlt.h"`
`#include "DataVectorTaipan.h"`

Go to the source code of this file.

## Namespaces

| escript
| escript::DataTypes
| Contains the types to represent Shapes, Regions, RegionLoop ranges and vectors of data as well as the functions to manipulate them.

## Typedefs

typedef escript::DataTypes::DataVectorAlt< real_t > | escript::DataTypes::RealVectorType
| Vector to store underlying data. More...
typedef escript::DataTypes::DataVectorAlt< cplx_t > | escript::DataTypes::CplxVectorType

## Functions

void | escript::DataTypes::pointToStream (std::ostream &os, const RealVectorType::ElementType *data, const ShapeType &shape, int offset, bool needsep=true, const std::string &sep=",")
| Display a single value (with the specified shape) from the data. More...
std::string | escript::DataTypes::pointToString (const RealVectorType &data, const ShapeType &shape, int offset, const std::string &prefix)
| Display a single value (with the specified shape) from the data. More...
void | escript::DataTypes::copyPoint (RealVectorType &dest, vec_size_type doffset, vec_size_type nvals, const RealVectorType &src, vec_size_type soffset)
| Copy a point from one vector to another. Note: This version does not check to see if shapes are the same. More...
void | escript::DataTypes::fillComplexFromReal (const RealVectorType &r, CplxVectorType &c)
| copy data from a real vector to a complex vector The complex vector will be resized as needed and any previous values will be replaced. More...
template<class VEC >
void | escript::DataTypes::copySlice (VEC &left, const ShapeType &leftShape, typename VEC::size_type leftOffset, const VEC &other, const ShapeType &otherShape, typename VEC::size_type otherOffset, const RegionLoopRangeType &region)
| Copy a data slice specified by the given region and offset from the "other" vector into the "left" vector at the given offset. More...
template<typename VEC >
void | escript::DataTypes::copySliceFrom (VEC &left, const ShapeType &leftShape, typename VEC::size_type leftOffset, const VEC &other, const ShapeType &otherShape, typename VEC::size_type otherOffset, const RegionLoopRangeType &region)
| Copy data into a slice specified by the given region and offset in the left vector from the other vector at the given offset. More...